
import { Button, ScrollView, Text, View } from '@tarojs/components'
import { stopPullDownRefresh, useDidShow, usePullDownRefresh, useRouter } from '@tarojs/taro'
import { useState } from 'react'
import AddressList from '@/components/AddressList'
import './index.scss'

const AddressManager = () => {
  const router = useRouter()
  return (
    <View className="address-manager">
      <AddressList refresherEnabled purchaser_id={router.params.purchaser_id as any} />
    </View>
  )
}
export default AddressManager
