type ProductImageUrl = string
interface ShoppingCartData {
  purchaser_code: string
  purchaser_id: number
  purchaser_name: string
  purchaser_short_name: string
  sale_user_id: number
  sale_user_name: string
  bulk_color_list: ColorList
  length_cut_color_list: ColorList // 剪板
  weight_cut_color_list: ColorList // 散剪
  [Property: string]: any
}
interface ColorList {
  estimate_amount: number
  estimate_weight: number
  id: number
  length: number
  product_code: string
  product_color_code: string
  product_color_id: number
  product_color_name: string
  product_color_texture_url: ProductImageUrl
  product_id: number
  product_name: string
  roll: number
  sale_mode: number
  sale_mode_name: string
  sale_offset: number
  sale_price: number
  standard_price: number
  [Property: string]: any
}
