
// 该方法纯粹只是个Ts类型定义文件
import type { TypedUseSelectorHook } from 'react-redux'
import { useSelector as useReduxSelector } from 'react-redux'
import type { DataParam as userInfoParam } from './userInfo'
import type { DataParam as commonDataParam } from './commonData'
import type { TabBarData as tabbarDataParam } from './tabBar'

interface Params {
  userInfoData: userInfoParam
  commonData: commonDataParam
  tabBarData: tabbarDataParam
}
export const useSelector: TypedUseSelectorHook<Params> = useReduxSelector
