import { combineReducers } from 'redux'
import userInfoData from './userInfo'
import commonData from './commonData'
import tabBarReducer from './tabBar'

export interface Reducers {
  userInfoData: typeof userInfoData
  commonData: typeof commonData
  tabBarData: typeof tabBarReducer
}

export type ReducersKey = keyof Reducers

export default combineReducers<Reducers>({
  userInfoData,
  commonData,
  tabBarData: tabBarReducer,
})
